#!/bin/sh
#
VERSION=20
#
INSTALLDIR=/var/tmp
MBHOME=/media/cf
PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions
echo "---------------------------------------------"
echo "Creating Installation Kit"
echo "---------------------------------------------"
cd $MBHOME
if [ ! -d $INSTDIR ]; then
mkdir $INSTALLDIR
fi
# remove when linked (when filled will fail)
rm $PLUGINDIR/Multiboot
cp autorun.bat0 autorun.bat
cp -r Multiboot $PLUGINDIR
cp autorun.* $INSTALLDIR
cp bootlogo.mvi $INSTALLDIR
cp cpsettings.sh $INSTALLDIR
cp rmsettings.sh $INSTALLDIR
cp multiboot.sh $INSTALLDIR
cp linkmb.bat $INSTALLDIR
cp readme.txt $INSTALLDIR
cp kit.sh $INSTALLDIR
cp init.cmd $INSTALLDIR
cp erase.cmd $INSTALLDIR
cp dosfstools* $INSTALLDIR
unix2dos $INSTALLDIR/readme.txt
cd /
tar -cf $MBHOME/multiboot$VERSION.tar $INSTALLDIR/autorun.* /usr/lib/enigma2/python/Plugins/Extensions/Multiboot $INSTALLDIR/bootlogo.mvi $INSTALLDIR/cpsettings.sh $INSTALLDIR/rmsettings.sh $INSTALLDIR/linkmb.bat $INSTALLDIR/erase.cmd $INSTALLDIR/init.cmd $INSTALLDIR/multiboot.sh $INSTALLDIR/readme.txt $INSTALLDIR/kit.sh $INSTALLDIR/dosfstools*
echo "---------------------------------------------"
echo " Kit contains ..."
echo "---------------------------------------------"
cd $MBHOME
tar -tvf multiboot$VERSION.tar
echo "---------------------------------------------"
echo "Copying kit to $INSTALLDIR"
echo "---------------------------------------------"
cp $MBHOME/multiboot$VERSION.tar $INSTALLDIR
echo "Listing kit in /var/tmp - you can now FTP from there"
ls -al $INSTALLDIR/multib*
echo "---------------------------------------------"
exit 0
